# Class CertStoreCallback

java.lang.Object
javax.security.auth.message.callback.CertStoreCallback

All Implemented Interfaces:
  `Callback`

public class CertStoreCallback extends Object implements Callback
Callback that enables a runtime to inform authentication modules of the CertStore to use.

## Constructor Summary

Constructors
Constructor
Description
`CertStoreCallback()`

## Method Summary

Modifier and Type
Method
Description
`CertStore`
`getCertStore()`
`void`
`setCertStore(CertStore certStore)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CertStoreCallback

public CertStoreCallback()

## Method Details

### setCertStore

public void setCertStore(CertStore certStore)

### getCertStore

public CertStore getCertStore()